# GeoSTATS

Data-fusion tools to post-process AQ info

The code is developed in R. It is structured in multiple scripts that are invoked from the main script “UK_+_LOOCV.R”, and a configuration file, “config_file.yml”, where several parameters of the simulation and the directories of the necessary input files are specified.

The structure of the “UK_+_LOOCV.R” script is as follows:
1. The parameters specified in the configuration file “config_file.yml” are read.
2. The observation data at the measurement stations are read ("load_obs_cat.R") and those located within the specified domain are filtered ("set_stations.R")
3. The availability of data at each of the measurement stations is calculated
4. The raw data simulated by the regional air quality model CALIOPE are read ("load_caliope.R")
5. The model values ​​are interpolated at the locations of the measurement stations (Ordinary Kriging) ("OK_interpolate_model_to_AQMS_v2.R")
6. The GBM methodology is executed, if specified in the config_file, to fill in the time series of the measurement stations ("gbm_fill_obs_gaps.R")
7. The Universal Kriging methodology is executed to correct the bias of the raw model data ("loop_uk_cat_v2.R")
8. The efficiency of the system is checked with the LOOCV methodology ("loop_uk_cat_v2.R")
9. The correction results are saved in netcdf format ("daily_rds_to_daily_nc.R")
